com.jscape.zip

## Enum ProgressEventMode

- java.lang.Object
- - java.lang.Enum<ProgressEventMode>
  - - com.jscape.zip.ProgressEventMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProgressEventMode>

      public enum ProgressEventMode
      extends java.lang.Enum<ProgressEventMode>

  Class to specify compression / decompression events.
  Author:
    mjawwad

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Compression`
    `Decompression`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProgressEventMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProgressEventMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Compression

          public static final ProgressEventMode Compression

    - #### Decompression

          public static final ProgressEventMode Decompression

  - ### Method Detail

    - #### values

          public static ProgressEventMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProgressEventMode c : ProgressEventMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProgressEventMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved